Bug 699363 - [abrt] mlocate-0.22.2-3.el6: Process /usr/bin/updatedb was killed by signal 6 (SIGABRT)
Summary: [abrt] mlocate-0.22.2-3.el6: Process /usr/bin/updatedb was killed by signal 6...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mlocate
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact: Karel Srot
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-25 11:40 UTC by Siddharth
Modified: 2018-11-14 12:55 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-10-10 08:46:34 UTC
swaikar: needinfo-


Attachments (Terms of Use)
Backtrace, Dissassembly (17.68 KB, application/octet-stream)
2011-04-25 11:49 UTC, Siddharth
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1355 normal SHIPPED_LIVE mlocate bug fix update 2012-10-10 12:44:35 UTC

Description Siddharth 2011-04-25 11:40:37 UTC
Description of problem:
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/updatedb -f 'sysfs\nrootfs\nbdev\nproc\ncgroup\ncpuset\ntmpfs\ndevtmpfs\nbinfmt_misc\ndebugfs\nsecurityfs\nsockfs\nusbfs\npipefs\nanon_inodefs\ninotifyfs\ndevpts\nramfs\nhugetlbfs\nmqueue\nselinuxfs\nrpc_pipefs\nautofs\nfuse\nfusectl'
component: mlocate
executable: /usr/bin/updatedb
kernel: 2.6.32-71.el6.x86_64
rating: 0
reason: Process /usr/bin/updatedb was killed by signal 6 (SIGABRT)
time: 1303374309
uid: 0

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 6.0 (Santiago)
mlocate-0.22.2-3.el6

How reproducible:
random crash

Steps to Reproduce:
1.
2.
3.
  
Actual results:
mlocate crashed

Expected results:
mlocate should not crash

Additional info:

Comment 2 Siddharth 2011-04-25 11:49:35 UTC
Created attachment 494643 [details]
Backtrace, Dissassembly

Comment 3 RHEL Product and Program Management 2011-04-25 11:57:41 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 4 RHEL Product and Program Management 2011-04-25 12:37:37 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 RHEL Product and Program Management 2011-04-25 13:17:39 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 Miloslav Trmač 2011-04-26 13:28:29 UTC
Thanks for your report.  This assertion failure most likely indicates a kernel error.

Is this reproducible?  (If not, perhaps it would be reproducible if you removed /var/lib/mlocate/mlocate.db .)

If this were reproducible, the last thousand lines of log files produced by
> strace -v -ff -o log /etc/cron.daily/mlocate.cron
would probably identify the specific problematic file system, directory, and directory entry.

> find / -inum 7077956
could also identify the directory: if this returns a directory, please attach the log file created by
> strace -v -o log ls path_to_that_directory

Comment 8 RHEL Product and Program Management 2011-07-06 01:03:14 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 12 Miloslav Trmač 2012-05-03 09:44:56 UTC
(In reply to comment #6)
> Thanks for your report.  This assertion failure most likely indicates a kernel
> error.
> 
> Is this reproducible?  (If not, perhaps it would be reproducible if you removed
> /var/lib/mlocate/mlocate.db .)
> 
> If this were reproducible, the last thousand lines of log files produced by
> > strace -v -ff -o log /etc/cron.daily/mlocate.cron
> would probably identify the specific problematic file system, directory, and
> directory entry.
> 
> > find / -inum 7077956
> could also identify the directory: if this returns a directory, please attach
> the log file created by
> > strace -v -o log ls path_to_that_directory

I can add a workaround, but the kernel bug still needs diagnosing and fixing.  Can you obtains specifics from the customer?

Comment 22 errata-xmlrpc 2012-10-10 08:46:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1355.html


Note You need to log in before you can comment on or make changes to this bug.